View Issue Details

IDProjectCategoryView StatusLast Update
0001731FreeCADBugpublic2014-10-11 12:57
ReportermatthiasAssigned Toshoogen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindows 7OSOS Version
Product Version0.14 
Target VersionFixed in Version0.15 
Summary0001731: spreadsheet csv import/export - path with umlauts
Descriptioncsv import/export does not work if path contains german umlauts
Steps To Reproduce1. Open FreeCAD
2. Press the "create new document" button
3. Switch to the Spreadsheet workbench
4. Press the "Add a Spreadsheet object to the active document" button
5. insert "test" in A1
6. expert spreadsheet as csv to a path with umlauts (e.g. "Spreadsheet.export(__objs__,"C:/tmp/töst/test.csv")
7. error message (see additional information), no file exportet

import analogous
Additional InformationTraceback (most recent call last):
  File "<string>", line 4, in <module>
  File "C:\Program Files\FreeCAD 0.14\Mod\Spreadsheet\Spreadsheet.py", line 1076, in export
    with pyopen(filename, 'wb') as csvfile:
<type 'exceptions.IOError'>: (2, 'No such file or directory', 'C:/tmp/t\xc3\xb6st/test.csv')
Stack Trace: Traceback (most recent call last):
  File "<string>", line 4, in <module>
  File "C:\Program Files\FreeCAD 0.14\Mod\Spreadsheet\Spreadsheet.py", line 1076, in export
    with pyopen(filename, 'wb') as csvfile:
Tagssys.getfilesystemencoding, unicode

Relationships

related to 0001027 closedshoogen UTF-8 encoded PyString objects are used instead of unicode objects to pass unicode data to the python interpreter 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-09-04 12:52 matthias New Issue
2014-09-04 15:46 shoogen Relationship added related to 0001027
2014-09-04 15:48 shoogen Tag Attached: sys.getfilesystemencoding
2014-09-04 15:48 shoogen Tag Attached: unicode
2014-09-22 09:48 shoogen Assigned To => shoogen
2014-09-22 09:48 shoogen Status new => assigned
2014-10-11 12:57 shoogen Status assigned => closed
2014-10-11 12:57 shoogen Resolution open => fixed
2014-10-11 12:57 shoogen Fixed in Version => 0.15